Bug 34212 - can't install the wolverine
can't install the wolverine
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
http://user.chollian.net/~queenrjh/he...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-31 04:35 EST by Jong-Hoon, Ryu
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-19 15:54:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
driver source file. (76.02 KB, application/octet-stream)
2001-04-01 06:23 EDT, Jong-Hoon, Ryu
no flags Details
patch file for kernel-2.4.4 to use the driver dc-395uw (237.60 KB, patch)
2001-05-02 23:42 EDT, Jong-Hoon, Ryu
no flags Details | Diff

  None (edit)
Description Jong-Hoon, Ryu 2001-03-31 04:35:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; ?m
8k/8k??




Reproducible: Always
Steps to Reproduce:


 there is no included it Tekram DC-395UW SCSI Host Adapter Driver in 
wolverine beta release..

 so, I couldn't install it..


 Plz add the 'Tekram DC-395UW SCSI Host Adapter Driver' for next release..

 Plz..
Comment 1 Jong-Hoon, Ryu 2001-04-01 05:47:23 EDT
 Plz refer to below site..

 http://www.garloff.de/kurt/linux/dc395/


 thanks..

Comment 2 Jong-Hoon, Ryu 2001-04-01 06:23:41 EDT
Created attachment 14363 [details]
driver source file.
Comment 3 Jong-Hoon, Ryu 2001-05-02 23:42:42 EDT
Created attachment 17166 [details]
patch file for kernel-2.4.4 to use the driver dc-395uw
Comment 4 Jong-Hoon, Ryu 2001-05-02 23:44:28 EDT
Hello, 


This Tekram scsi host adapter (dc-395uw) is so stable now..

but, not included it the driver in any kernel source file yet

so, I was made the patch file for driver and I've got the error message below

Plz, add the driver to next kernel source


Have a nice day!

--------------------------------------------------------------------------------
----------------------

dc395x_trm.c:257: warning: type defaults to `int' in declaration of 
`MODULE_DEVICE_TABLE'
dc395x_trm.c:257: warning: parameter names (without types) in function 
declaration
dc395x_trm.c:257: warning: data definition has no type or storage class
dc395x_trm.c:1510: warning: initialization from incompatible pointer type
dc395x_trm.c:2290:17: warning: pasting "(" and ""        %s\n"" does not give a 
valid preprocessing token
dc395x_trm.c:2539:15: warning: pasting "(" and "KERN_WARNING" does not give a 
valid preprocessing token
dc395x_trm.c:2540:5: warning: pasting "(" and "" TmpSRB: %s\n"" does not give a 
valid preprocessing token
dc395x_trm.c: In function `DC395x_abort':
dc395x_trm.c:2832:9: dc395x_trm.c:2539: `KERN_WARNING' undeclared (first use in 
this function)
dc395x_trm.c:2539: (Each undeclared identifier is reported only once
dc395x_trm.c:2539: for each function it appears in.)
dc395x_trm.c:2539: parse error before string constant
dc395x_trm.c:2539: parse error before `)'
warning: pasting "(" and "" %s\n"" does not give a valid preprocessing token
dc395x_trm.c:2834:17: warning: pasting "(" and "" %s\n"" does not give a valid 
preprocessing token
dc395x_trm.c:3269:9: warning: pasting "(" and "" %s\n"" does not give a valid 
preprocessing token
dc395x_trm.c:4514:19: warning: pasting "(" and "" %s\n"" does not give a valid 
preprocessing token
dc395x_trm.c:4703:17: warning: pasting "(" and ""%s\n"" does not give a valid 
preprocessing token
dc395x_trm.c:5311:13: warning: pasting "(" and ""%s\n"" does not give a valid 
preprocessing token
dc395x_trm.c:5348:13: warning: pasting "(" and ""%s\n"" does not give a valid 
preprocessing token
dc395x_trm.c:6543:17: warning: pasting "(" and ""%s\n"" does not give a valid 
preprocessing token
dc395x_trm.c: In function `DC395x_proc_info':
dc395x_trm.c:6997: warning: `shpnt' might be used uninitialized in this function
make[3]: *** [dc395x_trm.o] Error 1
make[3]: Leaving directory `/usr/src/linux-2.4.2/drivers/scsi'
make[2]: *** [first_rule] Error 2
make[2]: Leaving directory `/usr/src/linux-2.4.2/drivers/scsi'
make[1]: *** [_subdir_scsi] Error 2
make[1]: Leaving directory `/usr/src/linux-2.4.2/drivers'
make: *** [_dir_drivers] Error 2



Comment 5 Alan Cox 2001-05-19 15:54:27 EDT
The driver author asked people not to include this driver yet as it still
occasionally causes data corruption on a few setups

Note You need to log in before you can comment on or make changes to this bug.